<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Saka
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<div class="container content-area-inner">
			<main id="main" class="site-main" role="main">

			<?php
			if ( have_posts() ) : ?>

				<header class="page-header">
					<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header><!-- .page-header -->

				<?php
				/* Start the Loop */
				while ( have_posts() ) : the_post();

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'excerpt' );

				endwhile;

				the_posts_pagination( array(
					'prev_text' => '<span class="fa fa-chevron-circle-left" aria-hidden="true"></span>' . __( 'Previous page', 'saka' ),
					'next_text' => __( 'Next page', 'saka' ) . '<span class="fa fa-chevron-circle-right" aria-hidden="true"></span>',
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'saka' ) . ' </span>',
				) );

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif; ?>

			</main><!-- #main -->
		</div><!-- .container .content-area-inner -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
